---
updatedAt: 2025-06-18T15:26:54.000Z
agentTools:
  projectIndex: https://api.encoding.com/llms.txt
---

# Image Playlist Parameters

The Image Playlist specification, developed by Disney and Warner Media, defines a format using compressed graphic image files for HLS and DASH that provides a sparse track of video frames for a client to use during trick-play and seek operations. This alternative format uses image files that have been compressed (usually via commonly-employed encoding schemes, e.g., JPEG). The HLS EXT-X-IMAGE-STREAM-INF tag identifies an Image Media Playlist file containing Images in a compressed graphic image format. It stands alone, in that it does not apply to a particular URI in the Master Playlist. Read more in the [specification](https://tools.ietf.org/html/draft-pantos-hls-rfc8216bis-04).

> 🚧 Note
>
> Image Playlist Parameters feature doesn't work with **advanced\_mss** output format.

| Parameter               | Description                                                                                                                                                        | Allowed Values                                                                                                                       | Defalt Value |
| :---------------------- | :----------------------------------------------------------------------------------------------------------------------------------------------------------------- | :----------------------------------------------------------------------------------------------------------------------------------- | :----------- |
| **interval**<br/>       | Specify the time interval between images in seconds or percentage of time passed.                                                                                  | N – Positive float number greater than 0.01                                                                                          | 11           |
| **width**               | Specify the image width.                                                                                                                                           | Non-negative integer.                                                                                                                | 160          |
| **height**              | Specify the image height.                                                                                                                                          | Non-negative integer.                                                                                                                | *none*       |
| **max\_columns**        | Specify the number of columns per tile.                                                                                                                            | Non-negative integer.                                                                                                                | *none*       |
| **max\_rows**           | Specify the number of rows per tile.                                                                                                                               | Non-negative integer.                                                                                                                | *none*       |
| **size**                | Specify the image width and height.                                                                                                                                | Pair of image width and height divided by ‘x’.                                                                                       | *none*       |
| **layout**              | Specify the playlist rows and columns layout.                                                                                                                      | Rows and Columns number divided by ‘x’.                                                                                              | *none*       |
| **sub\_path**           | Directory where images would be uploaded.<br/>Relative to output destination.                                                                                      | String                                                                                                                               | *none*       |
| **basename**            | Image name prefix                                                                                                                                                  | String                                                                                                                               | *none*       |
| **no\_ext\_x\_tiles**   | Don't include #EXT-X-TILES tag to the output stream's image playlist                                                                                               | yes, no                                                                                                                              | no           |
| **segment\_timeline**   | Turns on segment timelines for thumbnails description in a DASH manifest.<br/>Thumbnails will be processed for each ad break interval separately, if they are set. | yes, no                                                                                                                              | no           |
| **timescale**           | Set timescale for DASH VTT thumbnails.                                                                                                                             | Positive integer, usually 1000                                                                                                       | *none*       |
| **add\_to\_manifest**   | List of manifests names to include specified image media playlist.<br/>By default image media playlist will be added to all manifests.                             | Comma separated strings                                                                                                              | *none*       |
| **break\_points**       | Define which ad breaks elements is used to split image list                                                                                                        | **default** – split on both ad\_break and cue\_insert<br/>**adbreaks** – split on ad\_break only                                     | default      |
| **offset**              | Sets first thumbnail offset                                                                                                                                        | •**auto** – we will calcualte offset as half of the specified **`<interval />`** value<br/>•integer number – frame offset in seconds | auto         |
| **get\_from\_manifest** | Use data from external manifest                                                                                                                                    | yes, no                                                                                                                              | no           |

> 🚧 For size parameter
>
> **`<size />`** parameter overwrites **`<width />`** and **`<height />`** parameters.

> 🚧 For layout parameter
>
> **`<layout />`** parameter overwrites **`<max\_columns />`** and **`<max\_rows />`** parameters.

> 🚧 For no\_ext\_x\_tiles
>
> **`<no\_ext\_x\_tiles />`** parameter only available for **advanced\_hls**, **fmp4\_hls**, and HLS manifests of **advanced\_fmp4** output formats.

> 🚧 For segment\_timeline
>
> **`<segment\_timeline />`** parameter only available for **advanced\_dash** and DASH manifests of **advanced\_fmp4** output formats.

> 🚧 For timescale
>
> **`<timescale />`** parameter only available for **advanced\_dash** and DASH manifests of **advanced\_fmp4** output formats.

> 🚧 For break\_points
>
> The **`<break\_points />`** applieable only if **`<segment\_timeline />`** set to *yes*.

> 🚧 For get\_from\_manifest
>
> The **`<get\_from\_manifest />`** parameter available only if manifest **`<sources />`** are specified.

> 🚧 For sub\_path parameter
>
> These characters will be filtered out: "\\", "\`", "№", "$", "#", "?"